groovy.text

## Class TemplateExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - groovy.text.TemplateExecutionException

All Implemented Interfaces:
  java.io.Serializable

    public class TemplateExecutionException
    extends java.lang.Exception

A custom exception class to flag template execution errors

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TemplateExecutionException(int lineNumber)`
`TemplateExecutionException(int lineNumber, java.lang.String message)`
`TemplateExecutionException(int lineNumber, java.lang.String message, java.lang.Throwable cause)`
`TemplateExecutionException(int lineNumber, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLineNumber()` Returns the line number in the template source where the error occurred

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TemplateExecutionException

    public TemplateExecutionException(int lineNumber)

#### TemplateExecutionException

    public TemplateExecutionException(int lineNumber,
                                      java.lang.String message)

#### TemplateExecutionException

    public TemplateExecutionException(int lineNumber,
                                      java.lang.String message,
                                      java.lang.Throwable cause)

#### TemplateExecutionException

    public TemplateExecutionException(int lineNumber,
                                      java.lang.Throwable cause)

### Method Detail

#### getLineNumber

    public int getLineNumber()

Returns the line number in the template source where the error occurred

Returns:
  the one-based line number of the template parsing error.